Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Interface EventProvider

All Known Subinterfaces:
  EJBModuleMBean, JavaMailResourceMBean, JDBCDataSourceMBean, JDBCResourceMBean, JNDIResourceMBean, MBeanMBean, RMI_IIOPResourceMBean, ServiceModuleMBean, StateManageable, URLResourceMBean, WebModuleMBean

All Known Implementing Classes:
  EJBModule, JavaMailResource, JDBCDataSource, JDBCResource, JNDIResource, MBean, RMI_IIOPResource, ServiceModule, URLResource, WebModule

public interface EventProvider

Indicates the emitting of Events and also indicates what types of events it emits.
Attention: This interface is not indented to be used by the client but it is morely a desription of what the client will get when he/she receives attributes from the JSR-77 server or what method can be invoked.
All attributes (getXXX) can be received by
`Management.getAttribute()`
or in bulk by:
`Management.getAttributes()`
Methods (all except getXXX()) can be invoked by:
`Management.invoke()`

Version:
  $Revision: 1.6 $
Author:
  Marc Fleury, Andreas Schaefer

Method Summary
`String` | `getEventType(int index)` Returns the given Type of Events it emits according to its index in the list
`String[]` | `getEventTypes()`

Method Detail

### getEventTypes

    public String[] getEventTypes()

  Returns:
    The actual list of Types of Events this Managed Object emits. The list is never null nor empty

### getEventType

    public String getEventType(int index)

  Returns the given Type of Events it emits according to its index in the list

  Parameters:
    `index` - Index of the requested Event Type
  Returns:
    Event Type if given Index is within the boundaries otherwise null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.